/*
 * lock.h
 *
 *  Created on: Jul 31, 2024
 *      Author: colorbass
 */

#ifndef INC_LOCK_H_
#define INC_LOCK_H_

#include "main.h"
#include "stdbool.h"


void GBT_Lock(uint8_t state);
void GBT_ManageLock();
uint8_t GBT_LockGetState();
void GBT_ForceLock(uint8_t state);

typedef struct {
//    uint8_t state;
    uint8_t demand;
    uint8_t error;
} GBT_LockState_t;

extern GBT_LockState_t GBT_LockState;

#endif /* INC_LOCK_H_ */
